{% import('partials/macros.html.twig') as this %}
<table class="table">
    <thead>
    <tr>
        <th>{{ 'documentCategory.name' | trans }}</th>
        <th>{{ 'documentCategory.setting' | trans }}</th>
        <th>{{ 'documentCategory.population' | trans }}</th>
        <th>{{ 'basic.actions' | trans }}</th>
    </tr>
    </thead>
    <tbody>
    {% for file in files %}
        <tr>
            <td>{{ file.name }}</td>
            <td>{{this.choice_render('Document\\DocumentCategory', 'categories', file.setting)}}</td>
            <td>{{this.choice_render('Document\\DocumentCategory', 'populations', file.population)}}</td>
            <td>
                <a href="{{ path('param_file_show', {'id': file.id}) }}">show</a>
                <a href="{{ path('param_file_edit', {'id': file.id}) }}">edit</a>
            </td>
        </tr>
    {% else %}
        <tr>
            <td colspan="5">Pas d'entrées trouvées</td>
        </tr>
    {% endfor %}
    </tbody>
</table>